Page MenuHomePhabricator

OSPF routes not redistributing into BGP
Closed, ResolvedPublic

Description

OSPF routes are not redistributing into BGP process.

configuration commands:

set protocols bgp 65534 address-family ipv4-unicast redistribute connected
set protocols bgp 65534 address-family ipv4-unicast redistribute ospf
set protocols bgp 65534 address-family ipv6-unicast redistribute connected
set protocols bgp 65534 address-family ipv6-unicast redistribute ospfv3
set protocols bgp 65534 neighbor x.x.x.x address-family ipv4-unicast soft-reconfiguration inbound
set protocols bgp 65534 neighbor x.x.x.x remote-as '65535'
set protocols bgp 65534 neighbor x:x:x:x::1 address-family ipv6-unicast
set protocols bgp 65534 neighbor x:x:x:x::1 remote-as '65535'
set protocols bgp 65534 parameters router-id 'x.x.x.x'

vtysh output:

router bgp 65534
bgp router-id x.x.x.x
neighbor x.x.x.x remote-as 65535
neighbor x:x:x:x::1 remote-as 65535
!
address-family ipv4 unicast

redistribute connected
neighbor x.x.x.x soft-reconfiguration inbound

exit-address-family
!
address-family ipv6 unicast

redistribute connected
redistribute ospf6
neighbor x:x:x:x::1 activate

exit-address-family
rfp full-table-download off

expected:

redistribute ospf

in address-family ipv4 unicast stanza.

Details

Difficulty level
Unknown (require assessment)
Version
1.2.0-rc8
Why the issue appeared?
Will be filled on close

Event Timeline

itsgottabered created this object in space S1 VyOS Public.
syncer triaged this task as Normal priority.Nov 22 2018, 11:23 PM
dmbaturin closed this task as Resolved.Nov 26 2018, 8:04 PM
dmbaturin raised the priority of this task from Normal to Unbreak Now!.
pasik added a subscriber: pasik.Dec 3 2018, 8:18 AM